## pprepair 0.0~20150323

=== CMakeLists.txt ===
# Copyright (c) 2009-2013,
# Ken Arroyo Ohori    g.a.k.arroyoohori@tudelft.nl
# Hugo Ledoux         h.ledoux@tudelft.nl
# Martijn Meijers     b.m.meijers@tudelft.nl
# All rights reserved.
# 
# This file is part of pprepair: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Licensees holding a valid commercial license may use this file in
# accordance with the commercial license agreement provided with
# the software.
# 
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

project( pprepair )

cmake_minimum_required(VERSION 2.6.2)
if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" VERSION_GREATER 2.6)
  if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_GREATER 2.8.3)
    cmake_policy(VERSION 2.8.4)
  else()
    cmake_policy(VERSION 2.6)
  endif()
endif()

set( CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true )
 
if ( COMMAND cmake_policy )
  cmake_policy( SET CMP0003 NEW )  
endif()

# CGAL
find_package( CGAL QUIET COMPONENTS  )

if ( NOT CGAL_FOUND )
  message(SEND_ERROR "pprepair requires the CGAL library")
  return()  
endif()

# include helper file
include( ${CGAL_USE_FILE} )

# Boost
find_package( Boost REQUIRED )

if ( NOT Boost_FOUND )
  message(SEND_ERROR "pprepair requires the Boost library")
  return()  
endif()

# GDAL
find_package( GDAL )

if ( NOT GDAL_FOUND )
  message(SEND_ERROR "pprepair requires the GDAL library")
endif()

include_directories( ${GDAL_INCLUDE_DIR} )

# Creating entries for target: pprepair
# ############################

add_executable( pprepair  FaceInfo.cpp IOWorker.cpp PlanarPartition.cpp PolygonHandle.cpp pprepair.cpp )

add_to_cached_list( CGAL_EXECUTABLE_TARGETS pprepair )

# Link the executable to CGAL and third-party libraries
target_link_libraries(pprepair   ${CGAL_LIBRARIES} ${CGAL_3RD_PARTY_LIBRARIES} ${GDAL_LIBRARY})

## pprepair 0.0~20140611-c70373b

=== debian/changelog ===
pprepair (0.0~20140611-c70373b-1build1) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 01:06:22 -0600

pprepair (0.0~20140611-c70373b-1) unstable; urgency=medium

  * Initial release (Closes: #770649)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Nov 2014 18:39:06 +0100

=== debian/control ===
Source: pprepair
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@xs4all.nl>
Build-Depends: debhelper (>= 9),
               cmake,
               libcgal-dev,
               libgdal-dev,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git
Homepage: https://github.com/tudelft3d/pprepair

Package: pprepair
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: prepair
Description: planar partition repair tool
 pprepair (planar partition repair) takes a set of polygons and ensures that
 they form a valid planar partition, made of valid polygons and having no gaps
 or overlaps. It can be used as a validator, telling of problems in individual
 polygons or in the planar partition, and also as an automatic repair tool,
 outputting a set of polygons that do form a valid planar partition.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

get-orig-source:
	. debian/get-orig-source

## pprepair 0.0~20150323-6284890

=== debian/changelog ===
pprepair (0.0~20150323-6284890-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 May 2015 14:21:47 +0200

pprepair (0.0~20150323-6284890-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Update my email to @debian.org address.
  * Add gbp.conf to use pristine-tar by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Apr 2015 22:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Bas Couwenberg <sebastic@xs4all.nl>
+Uploaders: Bas Couwenberg <sebastic@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
                libcgal-dev,
@@ -13,7 +13,7 @@
                xsltproc
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git -b jessie-backports
 Homepage: https://github.com/tudelft3d/pprepair
 
 Package: pprepair

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
 
 MANPAGES:=$(wildcard debian/man/*.*.xml)
 
@@ -13,7 +15,7 @@
 override_dh_auto_build:
 	# Create man pages from DocBook XML
 	for x in $(MANPAGES) ; do \
-	  docbook2x-man $$x ; \
+	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done

## pprepair 0.0~20150624-82a2019

=== debian/changelog ===
pprepair (0.0~20150624-82a2019-1build1) xenial; urgency=medium

  * No-change rebuild for new gdal

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 03 Dec 2015 11:48:43 +0000

pprepair (0.0~20150624-82a2019-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Add build dependency on libcgal-qt5-dev for libCGAL_Qt5.so.
  * Add patch to support GDAL 2.0.
    (closes: #802495)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Nov 2015 12:04:38 +0100

pprepair (0.0~20150323-6284890-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 23:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper (>= 9),
                cmake,
                libcgal-dev,
+               libcgal-qt5-dev,
                libgdal-dev,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git -b jessie-backports
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git
 Homepage: https://github.com/tudelft3d/pprepair
 
 Package: pprepair

## pprepair 0.0~20160321

=== CMakeLists.txt ===
--- 
+++ 
@@ -73,3 +73,6 @@
 # Link the executable to CGAL and third-party libraries
 target_link_libraries(pprepair   ${CGAL_LIBRARIES} ${CGAL_3RD_PARTY_LIBRARIES} ${GDAL_LIBRARY})
 
+# Driver for output
+add_definitions(-DDRIVER="GeoJSON")
+# add_definitions(-DDRIVER="ESRI Shapefile")

## pprepair 0.0~20160321-87ffae5

=== debian/changelog ===
pprepair (0.0~20160321-87ffae5-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.
  * Drop build dependency on libcgal-qt5-dev, not required since cgal (4.8-1).

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 13:24:02 +0200

pprepair (0.0~20151110-28dca91-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop gdal-2.0.patch, applied upstream.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 20:51:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Build-Depends: debhelper (>= 9),
                cmake,
                libcgal-dev,
-               libcgal-qt5-dev,
                libgdal-dev,
                docbook2x,
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pprepair.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pprepair.git
 Homepage: https://github.com/tudelft3d/pprepair
 
 Package: pprepair

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
 
 MANPAGES:=$(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_clean:
 	dh_clean debian/man/*.1

=== debian/watch ===
#version=3
#opts=\
#dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
#uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
#filenamemangle=s/(?:.*?)?(?:rel|v|pprepair)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pprepair-$1.$2/ \
#https://github.com/tudelft3d/pprepair/releases \
#(?:.*?/)?(?:rel|v|pprepair)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pprepair 0.0~20170614

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,10 @@
 
 include_directories( ${GDAL_INCLUDE_DIR} )
 
+# Hardening buildflags
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{CXXFLAGS}")
+set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} $ENV{LDFLAGS}")
+
 # Creating entries for target: pprepair
 # ############################

## pprepair 0.0~20170614-dd91a21

=== debian/changelog ===
pprepair (0.0~20170614-dd91a21-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:17:12 +0200

pprepair (0.0~20170614-dd91a21-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 11:16:36 +0200

pprepair (0.0~20170614-dd91a21-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Drop hardening.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 17:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pprepair.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pprepair.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pprepair/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pprepair.git
 Homepage: https://github.com/tudelft3d/pprepair
 
 Package: pprepair
@@ -26,5 +26,4 @@
  they form a valid planar partition, made of valid polygons and having no gaps
  or overlaps. It can be used as a validator, telling of problems in individual
  polygons or in the planar partition, and also as an automatic repair tool,
- outputting a set of polygons that do form a valid planar partition. 
-
+ outputting a set of polygons that do form a valid planar partition.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 MANPAGES:=$(wildcard debian/man/*.*.xml)
 
@@ -26,4 +28,3 @@
 
 get-orig-source:
 	. debian/get-orig-source
-
